:root {

    --blanco: #ffffff;
    --negro: #000000;
    --gris: #acacac;
    --beige: #f4f1ec;
    --marron: #182b17;
    --titulo: "Righteous", sans-serif;
    --fuente: "Lato", sans-serif;
}


/* GLOBAL */

html {
    font-size: 62.5%;
    box-sizing: border-box;
    font-family: var(--fuente);
}

*, *:before, *:after {
    margin: 0;
    padding: 0;
}

/* HERO */


.hero {
    position: relative;
    width: 100%;
    height: 100vh;
}

.bg-hero {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--negro);
    z-index: 1;
}

.img-hero {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
    opacity: 40%;
}

.container-nav {
    display: flex;
    width: 100%;
    height: fit-content;
    align-items: center;
    justify-content: space-between;
}

.container-logo {
    position: relative;
    width: 12rem;
    height: 6rem;
    top: 0;
    left: 0;
    z-index: 9;
    padding: 1rem;
}

.logo {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hamburger {
	position: relative;
    background-color:transparent;
    top:0;
    right:0;
	height:2rem;
	width:2rem;
    margin: 2.5rem 2rem;
	-webkit-transform:translate3d(0, 0, 0);
	transform:translate3d(0, 0, 0);
	-webkit-transition:-webkit-transform 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
	transition:transform 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
	cursor:pointer;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
    z-index: 5;
}

@media (min-width: 768px) {
    .hamburger {
        display: none;
    }
}

._layer{
	background: var(--blanco);
	margin-bottom:4px;
	border-radius:2px;
	width:28px;
	height: .4rem;
	opacity:1;
	-webkit-transform:translate3d(0, 0, 0);
	transform:translate3d(0, 0, 0);
	-webkit-transition:all 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
	transition:all 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
}

.hamburger.is-active .-top{
	-webkit-transform:translateY(200%) rotate(45deg) !important;
	-ms-transform:translateY(200%) rotate(45deg) !important;
	transform:translateY(200%) rotate(45deg) !important;
}
.hamburger.is-active .-mid{
	opacity:0;
}
.hamburger.is-active .-bottom{
	-webkit-transform:translateY(-200%) rotate(135deg) !important;
	-ms-transform:translateY(-200%) rotate(135deg) !important;
	transform:translateY(-200%) rotate(135deg) !important;
}

.contenedor-menu {
    position: absolute;
    top: -100%;
    right: 0;
    width: 100%;
    height: 100vh;
    z-index: 4;
    background-color: var(--negro);
    opacity: 90%;
    transition: .2s ease;
}

.show-menu {
    top: 0;
}

.menu {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
}

.menu li {
    list-style: none;
    margin-bottom: 4rem;
}

.menu a {
    text-decoration: none;
    color: var(--blanco);
    font-size: 1.5rem;
    margin: 0 1.5rem;
}

.contenedor-titulo {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    width: 60%;
    text-align: center;
    color: var(--blanco);
}

.titulo {
    font-family: var(--titulo);
    font-size: 2rem;
    text-transform: uppercase;
}

.subtitulo {
    font-size: 2rem;
}

.boton-wp {
    width: 100%;
    margin-top: 5rem;
    display: flex;
    justify-content: center;
}

.boton-wp a {
    background-color: var(--negro);
    color: var(--blanco);
    text-decoration: none;
    padding: 1rem 2rem;
    font-size: 1.2rem;
    border-radius: 2rem;
    transition: .2s ease-in-out;
}

.boton-wp a:hover {
    background-color: var(--blanco);
    color: var(--negro);
}

.boton-wp i {
    font-size: 1.5rem;
}



@media (min-width: 768px) {
   
    .container-nav {
        position: relative;
        display: flex;
        height: fit-content;
        align-items: center;
    }


    .container-logo {
        position: relative;
        width: 12rem;
        height: 6rem;
        padding: 2rem;
    }

    .contenedor-menu {
        position: relative;
        top: 0;
        width: fit-content;
        height: fit-content;
        background-color: transparent;
        padding-right: 2rem;
    }
    
    .menu {
        width: 100%;
        height: fit-content;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
    }
    
    .menu a {
        text-decoration: none;
        font-size: 1.3rem;
        transition: .2s ease-in;
    }

    .menu a:hover {
        color: var(--gris);
    }

    .menu li {
        margin: 0;
    }
    
    .menu i {
        transition: .2s ease-in;
    }

    .menu i:hover {
        color: var(--gris);
    }
    
    .contenedor-titulo {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 3;
        width: 60%;
    }
    
    .titulo {
        font-size: 5rem;
    }
    

    .boton-wp {
        width: 100%;
        margin-top: 5rem;
        display: flex;
        justify-content: center;
    }
    
    .boton-wp a {
        background-color: var(--negro);
        color: var(--blanco);
        text-decoration: none;
        padding: 1rem 2rem;
        font-size: 1.5rem;
        border-radius: 2rem;
        transition: .2s ease-in-out;
    }
    
    .boton-wp a:hover {
        background-color: var(--blanco);
        color: var(--negro);
    }
}


/* NOSOTROS */

.nosotros {
    width: 100%;
    margin: 0 auto;
    padding: 5rem 0;
}

.nosotros h3 {
    font-size: 3rem;
    text-align: center;
}

.contenedor-nosotros {
    display: flex;
    flex-direction: column-reverse;
    width: 100%;
    margin: 5rem auto 0 auto;
}

.nosotros-img {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 5rem;
}

.nosotros1 {
    background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-04\ at\ 13.45.35.jpeg);
    background-position: bottom;
}

.nosotros2 {
    background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-05\ at\ 11.27.56.jpeg);
    background-position: center;
}

.nosotros3 {
    background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-05\ at\ 11.34.40.jpeg);
    background-position: center;
}

.clip {
    width: 100%;
    height: 20rem;
    background-size: cover;
    clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 90%);

}

.nosotros-texto {
    width: 90%;
    font-size: 1.5rem;
    margin: 0 auto;
}



@media (min-width: 768px) {
    .nosotros {
        width: 90%;
        padding: 10rem 0;
    }
    
    .nosotros h3 {
        font-size: 4rem;
        text-align: left;
        padding-left: 10rem;
    }
    
    .contenedor-nosotros {
        display: flex;
        flex-direction: row;
        width: 80%;
        height: 40rem;
        gap: 4rem;
    }

    .nosotros-img {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
        width: 100%;
        height: 40rem;
        margin-top: 0;
        gap: .5rem;
    }

    .clip {
        clip-path: none;
    }
    
    .nosotros1 {
        grid-area: 1 / 1 / 2 / 2;
        background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-04\ at\ 13.45.35.jpeg);
        background-size: cover;
        background-position: center;
    }
    
    .nosotros2 {
        grid-area: 2 / 1 / 3 / 2;
        background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-05\ at\ 11.34.40.jpeg);
        background-size: cover;
        background-position: center;    
    }
    
    .nosotros3 {
        grid-area: 1 / 2 / 3 / 3;
        background-image: url(img/nosotros/WhatsApp\ Image\ 2024-09-05\ at\ 11.27.56.jpeg);
        background-size: cover;
        background-position: center;
        height: auto;
    }
    
    .nosotros-texto {
        width: 70%;
        font-size: 2rem;
        margin: 0;
    }
}

/* OBRAS */

.obras {
    width: 100%;
}

.obras h3 {
    width: 90%;
    margin: 0 auto;
    color: var(--negro);
    font-size: 3rem;
    text-align: center;
    padding-top: 10rem;
    border-top: 1px solid var(--negro);
}

.grid-obras {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 10rem;
    gap: .5rem;
}

.h-grid {
    position: relative;
    width: 100%;
    height: 30rem;
}

.h-grid img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.bg-grid {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    transition: .2s ease-in-out;
}

.h-grid p {
    position: absolute;
    color: var(--blanco);
    font-size: 1.8rem;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .2s ease-in-out;
    text-align: center;
}

.h-grid p:hover {
    opacity: 0;
}

.h-grid:hover .bg-grid {
    background-color: rgba(0, 0, 0, 0.0);
}


@media (min-width: 768px) {
    
    .obras h3 {
        text-align: left;
        font-size: 4rem;
        padding-left: 10rem;
    }
    
    .grid-obras {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(6, 1fr);
    }
            
    .obra1 { grid-area: 1 / 1 / 2 / 2; }
    .obra2 { grid-area: 1 / 2 / 2 / 4; }
    .obra3 { grid-area: 1 / 4 / 2 / 5; }
    .obra4 { grid-area: 2 / 1 / 3 / 3; }
    .obra5 { grid-area: 2 / 3 / 3 / 4; }
    .obra6 { grid-area: 2 / 4 / 3 / 5; }
    .obra7 { grid-area: 3 / 3 / 4 / 5; }
    .obra8 { grid-area: 3 / 2 / 4 / 3; }
    .obra9 { grid-area: 3 / 1 / 4 / 2; }
    .obra10 { grid-area: 4 / 1 / 5 / 3; }
    .obra11 { grid-area: 4 / 3 / 5 / 4; }
    .obra12 { grid-area: 4 / 4 / 5 / 5; }
    .obra13 { grid-area: 5 / 3 / 6 / 5; }
    .obra14 { grid-area: 5 / 2 / 6 / 3; }
    .obra15 { grid-area: 5 / 1 / 6 / 2; }
    .obra16 { grid-area: 6 / 1 / 7 / 3; }
    .obra17 { grid-area: 6 / 3 / 7 / 4; }
    .obra18 { grid-area: 6 / 4 / 7 / 5; }

    .h-grid img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

/* PRODUCTOS */

.lineas {
    width: 100%;
    padding: 10rem 0;
}

.lineas h3 {
    font-size: 3rem;
    text-align: center;
}

.cards-container {
    max-width: 100rem;
}

@media (min-width: 768px) {

    .cards-container {
        margin: 0 auto;
    }

    .lineas h3 {
        font-size: 4rem;
        text-align: left;
        color: var(--marron);
        padding-left: 10rem;
    }
}

.cards-width {
    margin: 5rem;
    overflow: hidden;
}


.card-item {
    width: 40rem;
    background-color: var(--gris);
    border-radius: 1.2rem;
    list-style: none;
}

.card-item p {
    font-size: 1.8rem;
    margin: 1.8rem;
    color: var(--blanco);
}


.card-img {
    width: 92%;
    border-radius: 2rem;
    padding: 1.2rem;
}

.marcas {
    font-size: 2.3rem;
    width: 100%;
    text-align: center;
    padding-top: 10rem;
}

.contenedor-marcas {
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    padding-top: 5rem;
    justify-content: center;
    align-items: center;
}

.contenedor-marcas img {
    width: 12rem;
    margin: 1.5rem;
}

@media (min-width: 768px) {
    .marcas {
        font-size: 4rem;
    }

    .contenedor-marcas img {
        width: 15rem;
        height: fit-content;
    }
}

/* CONTACTO */

.contacto {
    position: relative;
    width: 100%;
    background-color: var(--negro);
    padding: 10rem 0;
}

.contacto-texto {
    color: var(--blanco);
    display: flex;
    justify-content: space-between;
    width: 80%;
    margin: 0 auto;
}

.contacto-texto h3 {
    font-size: 3rem;
}

.contacto-texto p {
    font-size: 1.5rem;
}

.contacto img {
    width: 4rem;
    height: 4rem;
    padding: 1rem;
}

.contenedor-contacto {
    width: 80%;
    margin: 0 auto;
}

@media (min-width: 768px) {
    .contacto {
        position: relative;
        width: 100%;
        background-color: var(--negro);
        padding: 10rem 0 5rem 0;
    }
    
    .contacto-texto {
        color: var(--blanco);
        display: flex;
        justify-content: space-between;
        width: 85%;
    }
    
    .contacto-texto h3 {
        font-size: 4rem;
    }
    
    .contacto-texto p {
        font-size: 2rem;
    }
    
    .contacto img {
        width: 4rem;
        height: 4rem;
        padding: 1rem;
    }

    .contenedor-contacto {
        width: 50%;
        padding: 10rem 0;
    }
}

/* FORMULARIO */

.formulario {
    align-items: center;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media (min-width: 1000px) {
    .formulario {
        flex-direction: row;
        margin: 5rem 0 10rem 0;
    }
}

.contenedor-formulario {
    padding: 0;
    border-radius: 2rem;
    width: 100%;
}

@media (min-width: 1000px) {
    .formulario {
        display: flex;
    }
    
    .contenedor-formulario {
        width: 100%;
        padding: 0;
        border-radius: 2rem;
    }
}

.form {
    width: 100%;
    height: 5rem;
    position: relative;
    overflow: hidden;
    margin-bottom: 2rem;
}

@media (min-width: 480px) {
    .form {
        margin-bottom: 4rem;
    }
}

.form input {
    width: 100%;
    height: 100%;
    font-size: 1rem;
    background: none;
    color: var(--blanco);
    padding-top: 2rem;
    border: none;
    outline: 0rem;
}

@media (min-width: 480px) {
    .form input {
        font-size: 1.5rem;
    }
}

.form .lbl-nombre {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    border-bottom: .1rem solid var(--blanco);
}

.form .lbl-nombre:after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -.1rem;
    width: 100%;
    height: 100%;
    transform: translateX(-100%);
    transition: all .3s ease;
}

.text-nomb {
    position: absolute;
    bottom: .5rem;
    left: 0;
    font-size: 1.2rem;
    transition: all .3s ease;
    color: var(--blanco);
}

@media (min-width: 480px) {
    .text-nomb {
        font-size: 1.5rem;
    }
}

.form input:focus + .lbl-nombre .text-nomb,.form input:valid + .lbl-nombre .text-nomb {
    transform: translateY(-150%);
    font-size: 1rem;
    color: var(--blanco);
}

@media (min-width: 480px) {
    .form input:focus + .lbl-nombre .text-nomb,.form input:valid + .lbl-nombre .text-nomb {
        font-size: 1.4;
    }
}

.contenedor-boton {
    text-align: center;
    margin-top: 4rem;
}


.boton {
    width: 90%;
    margin: 0 auto;
    height: 4rem;
    font-size: 1.2rem;
    background-color: var(--blanco);
    border-radius: .5rem;
    border: none;
    text-transform: uppercase;
    cursor: pointer;
    transition: all .3s ease;
}

@media (min-width: 480px) {
    .boton {
        width: 40%;
    }
}

.boton:hover {
    border: .1rem solid var(--blanco);
    background-color: var(--negro);
    color: var(--blanco);
}



/* FOOTER */

.footer {
    width: 100%;
}

.datos {
    width: 100%;
}

.contenedor-datos {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 5rem;
}

.dato {
    font-size: 1.5rem;
    margin-bottom: 4rem;
    text-align: center;
}

.dato a {
    text-decoration: none;
    color: var(--negro);
}

.icono {
    display: flex;
    align-items: center;
    justify-content: center;
}

.icono p {
    margin-left: .4rem;
}

.weigth {
    font-weight: 300;
    font-size: 1.2rem;
    padding-top: .5rem;
}

.derechos {
    width: 100%;
    text-align: center;
    margin: 5rem 0 2.5rem 0;
    font-size: 1rem;
}

@media (min-width: 768px) {
    .contenedor-datos {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        padding-top: 5rem;
    }

    .dato {
        font-size: 1.5rem;
    }
    
    .icono {
        display: flex;
        align-items: center;
    }

    .weigth {
        font-weight: 300;
        font-size: 1.3rem;
        padding-top: .8rem;
    }
    
    .derechos {
        width: 100%;
        text-align: center;
        margin: 10rem 0 5rem 0;
        font-size: 1.2rem;
    }
}
